import request from '@/util/request';

// listNav
export function listNav(params = {}) {
  return request({
    url: '/nav/menu',
    method: 'get',
    params
  });
}

export function addMenu(data) {
  return request({
    url: '/nav/menu',
    method: 'post',
    data
  });
}

// deleteMenu
export function deleteMenu(id) {
  return request({
    url: '/nav/menu/'+id,
    method: 'delete',
  });
}





export function listClass(){
  return request({
    url: '/nav/class',
    method: 'get'
  });
}

export function addClass(data) {
  return request({
    url: '/nav/class',
    method: 'post',
    data
  });
}